avi_controllerproperties – Module for setup of ControllerProperties Avi RESTful Object — Ansible Documentation

- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# avi_controllerproperties – Module for setup of ControllerProperties Avi RESTful Object

New in version 2.4.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module is used to configure ControllerProperties object
- more examples at https://github.com/avinetworks/devops

## Requirements

The below requirements are needed on the host that executes this module.

- avisdk

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
allow_ip_forwarding boolean | Choices: no yes | Field introduced in 17.1.1. Default value when not specified in API or module is interpreted by Avi Controller as False.
allow_unauthenticated_apis boolean | Choices: no yes | Allow unauthenticated access for special apis. Default value when not specified in API or module is interpreted by Avi Controller as False.
allow_unauthenticated_nodes boolean | Choices: no yes | Boolean flag to set allow_unauthenticated_nodes. Default value when not specified in API or module is interpreted by Avi Controller as False.
api_context dictionary added in 2.5 |  | Avi API context that includes current session ID and CSRF Token. This allows user to perform single login and re-use the session.
api_idle_timeout - |  | Allowed values are 0-1440. Default value when not specified in API or module is interpreted by Avi Controller as 15.
api_perf_logging_threshold - added in 2.9 |  | Threshold to log request timing in portal_performance.log and server-timing response header. Any stage taking longer than 1% of the threshold will be included in the server-timing header. Field introduced in 18.1.4, 18.2.1. Default value when not specified in API or module is interpreted by Avi Controller as 10000.
api_version string | Default: "16.4.4" | Avi API version of to use for Avi API and objects.
appviewx_compat_mode boolean | Choices: no yes | Export configuration in appviewx compatibility mode. Field introduced in 17.1.1. Default value when not specified in API or module is interpreted by Avi Controller as False.
attach_ip_retry_interval - |  | Number of attach_ip_retry_interval. Default value when not specified in API or module is interpreted by Avi Controller as 360.
attach_ip_retry_limit - |  | Number of attach_ip_retry_limit. Default value when not specified in API or module is interpreted by Avi Controller as 4.
avi_api_patch_op - added in 2.5 | Choices: add replace delete | Patch operation to use when using avi_api_update_method as patch.
avi_api_update_method - added in 2.5 | Choices: put ← patch | Default method for object update is HTTP PUT. Setting to patch will override that behavior to use HTTP PATCH.
avi_credentials dictionary added in 2.5 |  | Avi Credentials dictionary which can be used in lieu of enumerating Avi Controller login details.
| api_version - | Default: "16.4.4" | Avi controller version
| controller - |  | Avi controller IP or SQDN
| csrftoken - |  | Avi controller API csrftoken to reuse existing session with session id
| password - |  | Avi controller password
| port - |  | Avi controller port
| session_id - |  | Avi controller API session id to reuse existing session with csrftoken
| tenant - | Default: "admin" | Avi controller tenant
| tenant_uuid - |  | Avi controller tenant UUID
| timeout - | Default: 300 | Avi controller request timeout
| token - |  | Avi controller API token
| username - |  | Avi controller username
avi_disable_session_cache_as_fact boolean added in 2.6 | Choices: no yes | It disables avi session information to be cached as a fact.
bm_use_ansible boolean added in 2.5 | Choices: no yes | Use ansible for se creation in baremetal. Field introduced in 17.2.2. Default value when not specified in API or module is interpreted by Avi Controller as True.
cleanup_expired_authtoken_timeout_period - added in 2.9 |  | Period for auth token cleanup job. Field introduced in 18.1.1. Default value when not specified in API or module is interpreted by Avi Controller as 60.
cleanup_sessions_timeout_period - added in 2.9 |  | Period for sessions cleanup job. Field introduced in 18.1.1. Default value when not specified in API or module is interpreted by Avi Controller as 60.
cloud_reconcile boolean added in 2.9 | Choices: no yes | Enable/disable periodic reconcile for all the clouds. Field introduced in 17.2.14,18.1.5,18.2.1. Default value when not specified in API or module is interpreted by Avi Controller as True.
cluster_ip_gratuitous_arp_period - |  | Period for cluster ip gratuitous arp job. Default value when not specified in API or module is interpreted by Avi Controller as 60.
consistency_check_timeout_period - added in 2.9 |  | Period for consistency check job. Field introduced in 18.1.1. Default value when not specified in API or module is interpreted by Avi Controller as 60.
controller string | Default: "" | IP address or hostname of the controller. The default value is the environment variable `AVI_CONTROLLER`.
crashed_se_reboot - |  | Number of crashed_se_reboot. Default value when not specified in API or module is interpreted by Avi Controller as 900.
dead_se_detection_timer - |  | Number of dead_se_detection_timer. Default value when not specified in API or module is interpreted by Avi Controller as 360.
dns_refresh_period - |  | Period for refresh pool and gslb dns job. Default value when not specified in API or module is interpreted by Avi Controller as 60.
dummy - |  | Number of dummy.
enable_api_sharding boolean added in 2.9 | Choices: no yes | This setting enables the controller leader to shard api requests to the followers (if any). Field introduced in 18.1.5, 18.2.1. Default value when not specified in API or module is interpreted by Avi Controller as True.
enable_memory_balancer boolean added in 2.6 | Choices: no yes | Enable/disable memory balancer. Field introduced in 17.2.8. Default value when not specified in API or module is interpreted by Avi Controller as True.
fatal_error_lease_time - |  | Number of fatal_error_lease_time. Default value when not specified in API or module is interpreted by Avi Controller as 120.
max_dead_se_in_grp - |  | Number of max_dead_se_in_grp. Default value when not specified in API or module is interpreted by Avi Controller as 1.
max_pcap_per_tenant - |  | Maximum number of pcap files stored per tenant. Default value when not specified in API or module is interpreted by Avi Controller as 4.
max_seq_attach_ip_failures - added in 2.5 |  | Maximum number of consecutive attach ip failures that halts vs placement. Field introduced in 17.2.2. Default value when not specified in API or module is interpreted by Avi Controller as 3.
max_seq_vnic_failures - |  | Number of max_seq_vnic_failures. Default value when not specified in API or module is interpreted by Avi Controller as 3.
password string | Default: "" | Password of Avi user in Avi controller. The default value is the environment variable `AVI_PASSWORD`.
persistence_key_rotate_period - |  | Period for rotate app persistence keys job. Allowed values are 1-1051200. Special values are 0 - 'disabled'. Default value when not specified in API or module is interpreted by Avi Controller as 0.
portal_token - added in 2.4 |  | Token used for uploading tech-support to portal. Field introduced in 16.4.6,17.1.2.
process_locked_useraccounts_timeout_period - added in 2.9 |  | Period for process locked user accounts job. Field introduced in 18.1.1. Default value when not specified in API or module is interpreted by Avi Controller as 1.
process_pki_profile_timeout_period - added in 2.9 |  | Period for process pki profile job. Field introduced in 18.1.1. Default value when not specified in API or module is interpreted by Avi Controller as 1440.
query_host_fail - |  | Number of query_host_fail. Default value when not specified in API or module is interpreted by Avi Controller as 180.
safenet_hsm_version - added in 2.5 |  | Version of the safenet package installed on the controller. Field introduced in 16.5.2,17.2.3.
se_create_timeout - |  | Number of se_create_timeout. Default value when not specified in API or module is interpreted by Avi Controller as 900.
se_failover_attempt_interval - |  | Interval between attempting failovers to an se. Default value when not specified in API or module is interpreted by Avi Controller as 300.
se_from_marketplace - added in 2.9 |  | This setting decides whether se is to be deployed from the cloud marketplace or to be created by the controller. The setting is applicable only when byol license is selected. Enum options - MARKETPLACE, IMAGE. Field introduced in 18.1.4, 18.2.1. Default value when not specified in API or module is interpreted by Avi Controller as IMAGE.
se_offline_del - |  | Number of se_offline_del. Default value when not specified in API or module is interpreted by Avi Controller as 172000.
se_vnic_cooldown - |  | Number of se_vnic_cooldown. Default value when not specified in API or module is interpreted by Avi Controller as 120.
secure_channel_cleanup_timeout - |  | Period for secure channel cleanup job. Default value when not specified in API or module is interpreted by Avi Controller as 60.
secure_channel_controller_token_timeout - |  | Number of secure_channel_controller_token_timeout. Default value when not specified in API or module is interpreted by Avi Controller as 60.
secure_channel_se_token_timeout - |  | Number of secure_channel_se_token_timeout. Default value when not specified in API or module is interpreted by Avi Controller as 60.
seupgrade_fabric_pool_size - |  | Pool size used for all fabric commands during se upgrade. Default value when not specified in API or module is interpreted by Avi Controller as 20.
seupgrade_segroup_min_dead_timeout - |  | Time to wait before marking segroup upgrade as stuck. Default value when not specified in API or module is interpreted by Avi Controller as 360.
ssl_certificate_expiry_warning_days - |  | Number of days for ssl certificate expiry warning.
state - | Choices: absent present ← | The state that should be applied on the entity.
tenant string | Default: "admin" | Name of tenant used for all Avi API calls and context of object.
tenant_uuid string | Default: "" | UUID of tenant used for all Avi API calls and context of object.
unresponsive_se_reboot - |  | Number of unresponsive_se_reboot. Default value when not specified in API or module is interpreted by Avi Controller as 300.
upgrade_dns_ttl - |  | Time to account for dns ttl during upgrade. This is in addition to vs_scalein_timeout_for_upgrade in se_group. Field introduced in 17.1.1. Default value when not specified in API or module is interpreted by Avi Controller as 5.
upgrade_lease_time - |  | Number of upgrade_lease_time. Default value when not specified in API or module is interpreted by Avi Controller as 360.
url - |  | Avi controller URL of the object.
username string | Default: "" | Username used for accessing Avi controller. The default value is the environment variable `AVI_USERNAME`.
uuid - |  | Unique object identifier of the object.
vnic_op_fail_time - |  | Number of vnic_op_fail_time. Default value when not specified in API or module is interpreted by Avi Controller as 180.
vs_apic_scaleout_timeout - |  | Time to wait for the scaled out se to become ready before marking the scaleout done, applies to apic configuration only. Default value when not specified in API or module is interpreted by Avi Controller as 360.
vs_awaiting_se_timeout - |  | Number of vs_awaiting_se_timeout. Default value when not specified in API or module is interpreted by Avi Controller as 60.
vs_key_rotate_period - |  | Period for rotate vs keys job. Allowed values are 1-1051200. Special values are 0 - 'disabled'. Default value when not specified in API or module is interpreted by Avi Controller as 360.
vs_scaleout_ready_check_interval - added in 2.9 |  | Interval for checking scaleout_ready status while controller is waiting for scaleoutready rpc from the service engine. Field introduced in 18.2.2. Default value when not specified in API or module is interpreted by Avi Controller as 60.
vs_se_attach_ip_fail - added in 2.5 |  | Time to wait before marking attach ip operation on an se as failed. Field introduced in 17.2.2. Default value when not specified in API or module is interpreted by Avi Controller as 600.
vs_se_bootup_fail - |  | Number of vs_se_bootup_fail. Default value when not specified in API or module is interpreted by Avi Controller as 480.
vs_se_create_fail - |  | Number of vs_se_create_fail. Default value when not specified in API or module is interpreted by Avi Controller as 1500.
vs_se_ping_fail - |  | Number of vs_se_ping_fail. Default value when not specified in API or module is interpreted by Avi Controller as 60.
vs_se_vnic_fail - |  | Number of vs_se_vnic_fail. Default value when not specified in API or module is interpreted by Avi Controller as 300.
vs_se_vnic_ip_fail - |  | Number of vs_se_vnic_ip_fail. Default value when not specified in API or module is interpreted by Avi Controller as 120.
warmstart_se_reconnect_wait_time - |  | Number of warmstart_se_reconnect_wait_time. Default value when not specified in API or module is interpreted by Avi Controller as 480.
warmstart_vs_resync_wait_time - added in 2.9 |  | Timeout for warmstart vs resync. Field introduced in 18.1.4, 18.2.1. Default value when not specified in API or module is interpreted by Avi Controller as 300.

## Notes

Note

- For more information on using Ansible to manage Avi Network devices see https://www.ansible.com/ansible-avi-networks.

## Examples

    - name: Example to create ControllerProperties object
      avi_controllerproperties:
        controller: 10.10.25.42
        username: admin
        password: something
        state: present
        name: sample_controllerproperties

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
obj dictionary | success, changed | ControllerProperties (api/controllerproperties) object

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Gaurav Rastogi (@grastogi23) <grastogi@avinetworks.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.